# Customer-management-API by Stefan Pandzic

**Steps to run application**

1) You need to have installed Node.js on your machine.
2) Clone project from GitLab.
3) Open terminal in root directory and type `npm install`.
4) Make new file in root directory of project and name it `.env`.
5) You need to ask me to give you password for connection to Mongo DB database.
6) You need to write that password in env file what you just created.
7) Type `npm start` to start application.

If you get message on terminal `Connected to MongoDB` that mean your application is running.

**Steps to run application in Docker Container**

1) You need to have installed Docker on your machine.
2) Open terminal in root directory of application.
3) Make new file in root directory of project and name it `.env`.
4) You need to ask me to give you password for connection to Mongo DB database.
5) You need to write that password in env file what you just created.
6) Type in terminal `docker build -t customer-management-api:1.0 .` wait until finish (this will make docker image).
7) Type in terminal `docker images` and find your customer-management-api application IMAGE ID (what you just created).
8) Type in terminal `docker run -p 5000:5000 -d REPLACE_WITH_YOUR_IMAGE_ID` this will make container and run your application.

Now you should have running application on port 5000.


**Now you need to import postman collection with API routes.**

You have file named `CustomerApi.postman_collection.json` in root directory of project,
import that to your postman application and you will get all endpoints what you need.
 
 
If that not work, you can make your own endpoints.
 
## Api Endpints to Create, Read, Update, Delete customer
 
 1) Api Endpoint for CREATE CUSTOMER `POST METHOD "http://localhost:5000/managment_api/customer/"` 
 and add body in json format with object,
```
{
    "name": "customer name",
    "email": "customer email",
    "contactNumber": "contact number"
}
```


 2) Api Endpoint for **GET ALL CUSTOMERS** `GET METHOD "http://localhost:5000/managment_api/customer/"`
 3) Api Endpoint for **GET CUSTOMER BY ID** `GET METHOD "http://localhost:5000/managment_api/customer/:customerId"` where you need change :customerId with actual id.
 4) Api Endpoint for **DELETE CUSTOMER BY ID** `DELETE METHOD "http://localhost:5000/managment_api/customer/:customerId"` where you need change :customerId with actual id.
 5) Api Endpoint for **UPDATE CUSTOMER BY ID** `PATCH METHOD "http://localhost:5000/managment_api/customer/:customerId"` where you need change :customerId with actual id and
 add Body in json format with fields you want to update. 
```
{
    "name": "Chris"
}
```

 



