import express from "express";
import {
  getOneCustomerById,
  patchOneCustomerById,
  deleteOneCustomerById,
  getAllCustomers,
  createCustomer,
} from "../../controllers/customer.controller";

const router = express.Router();

router.get("/", getAllCustomers);
router.post("/", createCustomer);
router.get("/:customerId", getOneCustomerById);
router.patch("/:customerId", patchOneCustomerById);
router.delete("/:customerId", deleteOneCustomerById);

export default router;
