import { Customer as CustomerModel } from "../models/customer.model";
import { Customer as CustomerType } from "../types/customer.type";

export const createCustomerService = (customerBody: CustomerType) => {
  return CustomerModel.create(customerBody);
};

export const getOneCustomerService = (id: string) => {
  return CustomerModel.findById(id).select("name email contactNumber _id");
};

export const getAllCustomersService = () => {
  return CustomerModel.find().select("name email contactNumber _id");
};

export const deleteOneCustomerService = (id: string) => {
  return CustomerModel.findByIdAndDelete({ _id: id });
};

export const updateOneCustomerService = (
  id: string,
  customerBody: CustomerType
) => {
  return CustomerModel.findByIdAndUpdate(id, customerBody, {
    new: true,
  }).select("name email contactNumber _id");
};
